### Name: nlsResiduals
### Title: NLS residuals
### Aliases: nlsResiduals plot.nlsResiduals boxplot.nlsResiduals
###   hist.nlsResiduals qq.nlsResiduals test.nlsResiduals
###   print.nlsResiduals
### Keywords: nonlinear

### ** Examples

# Plots of residuals
data(growthcurve)
bacterialKinetics <- growthcurve$df4
nls1 <- nls(gompertzm, bacterialKinetics,
        list(lag = 10,mumax = 0.1, LOG10N0 = 6, LOG10Nmax = 9))
nr <- nlsResiduals(nls1)
plot(nr, type = 0)

# Histogram, box plot and qq-plot
hist(nr)
boxplot(nr)
qq.nlsResiduals(nr)
        
# Tests
test.nlsResiduals(nr)



